package resources;
import java.util.*;

public class Payment {
	private Points points;
	private History history;
	private int value;
	public Payment(Points points, History history) {
		this.points = points;
		this.history = history;
	}
	public void purchase(int x) {
		this.value = x;
		points.updatePayment(value);
		history.updatePayment(value);
	}
	public int getValue() {
		return value;
	}
}